/**
 * @autor: Reshad Meher
 * Fenstergrößer
 * Fenstertitle
 */
package com.bib.essensbestellungsverwaltung;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

public class StartViewApplication extends Application {
    public static Stage primary;
    public static boolean firstLaunch;
    @Override
    public void start(Stage stage) throws IOException {
        //FXMLLoader fxmlLoader = new FXMLLoader(StartViewApplication.class.getResource((firstLaunch) ? "signUp-view.fxml" : "login-view.fxml"));
        FXMLLoader fxmlLoader = new FXMLLoader(StartViewApplication.class.getResource((firstLaunch) ? "settingsMenue.fxml" : "settingsMenue.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 1220, 790);
        primary = stage;
        stage.setTitle("Essen Bestellung im Kindergarten");
        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
        firstLaunch = Database.init();
        Database.init();
        Database.createDb();
        Database.fillDb();
        //Database.printSampleQuery();
        //Database.deleteSample();
        launch();
    }

    public static void changeScene(String scene) throws IOException{
        Parent p = FXMLLoader.load(StartViewApplication.class.getResource(scene));
        primary.getScene().setRoot(p);
    }
}